Page MenuHomePhabricator

Puppet keeps restarting jobrunner service
Closed, ResolvedPublic

Description

Puppet keep restarting the jobrunner service on each run:

Notice: /Stage[main]/Mediawiki::Jobrunner/Package[jobrunner]/ensure:
 ensure changed '5c927f9091f446452b9fd7bcb69614c7a7fe6eff'
 to 'origin/srv/deployment/jobrunner/jobrunner'

Info: /Stage[main]/Mediawiki::Jobrunner/Package[jobrunner]: Scheduling refresh of Service[jobrunner]
Notice: /Stage[main]/Mediawiki::Jobrunner/Service[jobrunner]: Triggered 'refresh' from 1 events

Found that on the beta cluster instance deployment-jobrunner01.eqiad.wmflabs. The issue is in the Trebuchet provider we wrote for puppet.

Event Timeline

hashar raised the priority of this task from to Needs Triage.
hashar triaged this task as Low priority.
hashar updated the task description. (Show Details)
hashar changed Security from none to None.
hashar removed a project: acl*sre-team.
hashar added a subscriber: hashar.
hashar renamed this task from Puppet keep restarting jobrunner service to Puppet keeps restarting jobrunner service.Dec 8 2014, 10:24 AM
Joe added a subscriber: Joe.Dec 18 2014, 8:38 AM

This doesn't happen in prod FYI

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 24 2015, 1:24 PM
hashar closed this task as Resolved.Apr 19 2016, 8:35 AM
hashar claimed this task.

Got fixed at some point. That no more happens.